org.springframework.web.accept

## Interface ContentNegotiationStrategy

All Known Implementing Classes:
  AbstractMappingContentNegotiationStrategy, ContentNegotiationManager, FixedContentNegotiationStrategy, HeaderContentNegotiationStrategy, ParameterContentNegotiationStrategy, PathExtensionContentNegotiationStrategy, ServletPathExtensionContentNegotiationStrategy

    public interface ContentNegotiationStrategy

A strategy for resolving the requested media types in a request.

Since:
  3.2
Author:
  Rossen Stoyanchev

### Method Summary

Methods
`List<MediaType>` `resolveMediaTypes(NativeWebRequest webRequest)` Resolve the given request to a list of media types.

### Method Detail

#### resolveMediaTypes

    List<MediaType> resolveMediaTypes(NativeWebRequest webRequest)
                                      throws HttpMediaTypeNotAcceptableException

Resolve the given request to a list of media types. The returned list is ordered by specificity first and by quality parameter second.

Parameters:
  `webRequest` - the current request
Returns:
  the requested media types or an empty list, never `null`
Throws:
  `HttpMediaTypeNotAcceptableException` - if the requested media types cannot be parsed